Class | RI::TopLevelEntry
In: | rdoc/ri/ri_cache.rb
Parent: | ClassEntry

A TopLevelEntry is like a class entry, but when asked to search for methods searches all classes, not just itself

### Methods

full_name methods_matching module_named

### Public Instance methods

full_name()

[Source]

    # File rdoc/ri/ri_cache.rb, line 135
        def full_name
          ""
        end

methods_matching(name, is_class_method)

[Source]

    # File rdoc/ri/ri_cache.rb, line 131
        def methods_matching(name, is_class_method)
          res = recursively_find_methods_matching(name, is_class_method)
        end

module_named(name)

[Source]

    # File rdoc/ri/ri_cache.rb, line 139
        def module_named(name)

        end

[Validate]